#
# spec file for package contractor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           contractor
Version:        0.3.2
Release:        lp151.3.3
Summary:        A desktop-wide extension service
License:        GPL-3.0+
Group:          System/Daemons
Url:            https://launchpad.net/contractor
Source:         https://launchpad.net/contractor/loki/%{version}/+download/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM https://github.com/elementary/contractor/pull/13
Patch1:         copying.patch
BuildRequires:  cmake >= 2.6
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)

%description
An extension service that allows apps to use the exposed functionality of
registered apps. This way, applications do not have to have the functions
hard coded into them.

Designed for Elementary OS.

%prep
%setup -q
%patch1 -p1

%build
%cmake

make %{?_smp_mflags}

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/contractor

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/org.elementary.%{name}.service
%dir %{_datadir}/contractor

%changelog
* Sat Mar 17 2018 avvissu@yandex.by
- Add the contractor directory
* Fri Jun  9 2017 mailaender@opensuse.org
- Add copying.patch and update license according to upstream
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.3.2
- Spec file cleanup
* Sun Jun 15 2014 mailaender@opensuse.org
- initial packaging (version 0.3.1) for build.opensuse.org
